class Paste:
    def __init__(self, title, href, lang):
        self.title = title
        self.href = href
        self.lang = lang

        self.fetched = False
        self.author = None
        self.pub_date = None
        self.category = None
        self.text = None

    def __repr__(self):
        return ("Paste("
                f"title='{self.title}', "
                f"href='{self.href}', "
                f"lang='{self.lang}', "
                f"fetched={self.fetched})"
                )

    def __hash__(self):
        return hash((self.title, self.href, self.lang))

    def __eq__(self, other):
        if isinstance(other, Paste):
            return self.title == other.title and self.href == other.href and self.lang == other.lang
        return False
